=== debian/changelog ===
iceape (2.0.11-1) unstable; urgency=high

  * New upstream release.
  * Fixes for mfsa2010-{74-84}, also known as
    CVE-2010-3776, CVE-2010-3778, CVE-2010-3769, CVE-2010-3771,
    CVE-2010-3772, CVE-2010-3768, CVE-2010-3775, CVE-2010-3766,
    CVE-2010-3767, CVE-2010-3773, CVE-2010-3774, CVE-2010-3770.
  * debian/copyright: Updated to include gfx/ots.

 -- Mike Hommey <glandium@debian.org>  Fri, 10 Dec 2010 00:17:38 +0100

iceape (2.0.10-1) unstable; urgency=low

  * New upstream release.
  * Fix for mfsa2010-73, also known as CVE-2010-3765.

 -- Mike Hommey <glandium@debian.org>  Thu, 28 Oct 2010 13:12:40 +0200

iceape (2.0.9-1) unstable; urgency=low

  * New upstream release.
  * Fixes for mfsa2010-{64-69}, also known as
    CVE-2010-3176, CVE-2010-3174, CVE-2010-3179, CVE-2010-3180,
    CVE-2010-3183, CVE-2010-3177, CVE-2010-3178.
  * debian/control: Bump build dependencies on libnspr4-dev and libnss3-dev
    to fit what configure will be looking for.

  * suite/browser/browser-prefs.js: Unset startup.homepage_override_url.

 -- Mike Hommey <glandium@debian.org>  Fri, 22 Oct 2010 09:15:11 +0200

iceape (2.0.8-1) unstable; urgency=low

  * New upstream release.

 -- Mike Hommey <glandium@debian.org>  Fri, 22 Oct 2010 08:47:02 +0200

iceape (2.0.7-1) unstable; urgency=high

  * New upstream release.
  * Fixes for mfsa2010-{49-51,53-57,60-63}, also known as
    CVE-2010-3169, CVE-2010-2765, CVE-2010-2767, CVE-2010-3166,
    CVE-2010-2760, CVE-2010-3168, CVE-2010-3167, CVE-2010-2766,
    CVE-2010-2763, CVE-2010-2768, CVE-2010-2769, CVE-2010-2764.

  * memory/jemalloc/jemalloc.c: Properly disable ncpus in jemalloc, which
    the previous patch didn't do.
  * extensions/auth/nsHttpNegotiateAuth.cpp: Calculate negotiate auth token
    length after removing padding. bz#592692.
  * gfx/qcms/iccread.c: Fix unaligned reads in qcms. bz#504766.

 -- Mike Hommey <glandium@debian.org>  Wed, 08 Sep 2010 09:05:17 +0200

iceape (2.0.6-1) unstable; urgency=low

  * New upstream release.
  * Fixes mfsa-2010-{34-37,39-42,45-47}, also known as
    CVE-2010-1211, CVE-2010-1208, CVE-2010-1209, CVE-2010-1214,
    CVE-2010-2752, CVE-2010-2753, CVE-2010-1205, CVE-2010-1213,
    CVE-2010-2751, CVE-2010-0654, CVE-2010-2754.

  * debian/control:
    - Add build-depends on libglib2.0-dev (>= 2.18.0) for filemonitor.
    - Bump libnss build-depends to fit what configure is looking for.
    - Bump Standards-Version to 3.9.0.0.
    - Fit the Uploaders field to reality.
  * debian/mozconfig, debian/rules: Check if mozconfig system library options
    will properly set the right variables.
  * debian/rules: Only set -std=gnu++0x flag when using g++ 4.4+.
    Refresh debian packages search plugin
  * debian/extras/debsearch.src: Refresh debian packages search plugin.
    Thanks Sérgio Cipolla. Closes: #588053.
  * debian/mozconfig: Don't set --with-system-bz2, it's not used.

  * xpcom/reflect/xptcall/src/md/unix/*ppc_linux*: Add support for powerpcspe.
    Closes: #586101.

 -- Mike Hommey <glandium@debian.org>  Wed, 21 Jul 2010 02:45:40 +0200

iceape (2.0.5-1) unstable; urgency=high

  * New upstream release.
  * Fixes mfsa-2010-{26-33}, also known as
    CVE-2010-1200, CVE-2010-1201, CVE-2010-1202, CVE-2010-0183,
    CVE-2010-1198, CVE-2010-1196, CVE-2010-1199, CVE-2010-1125,
    CVE-2010-1197, CVE-2008-5913.

  * debian/iceape-browser.install: Install debian.jar and debian.manifest in
    the correct location. Closes: #583814.

  * modules/libpr0n/encoders/png/nsPNGEncoder.cpp: Use png_set_filter to make
    libpng not use write filters. bz#564410.
  * netwerk/protocol/http/src/nsHttpChannel.cpp: Make sure to call
    OnStartRequest even if we're failing on an SSL CONNECT. bz#561536.
  * memory/jemalloc/jemalloc.c: Use syscall() for mmap and munmap, and disable
    ncpus use in jemalloc to work around deadlocks. Replaces the previous patch
    to use a small pool of static memory during initialization. bz#435683

 -- Mike Hommey <glandium@debian.org>  Wed, 23 Jun 2010 14:31:58 +0200

iceape (2.0.4-2) unstable; urgency=low

  * debian/extra-stuff/*: Synchronize with xulrunner.
  * debian/iceape-browser.install: Install debUpdateNotifier related chrome
    (localization).
  * debian/rules: Build with -std=gnu++0x.
  * debian/branding/Makefile.in, debian/branding/aboutIce.js,
    debian/branding/ice.*, debian/branding/jar.mn,
    debian/iceape-browser.install: Add a about:iceape page similar to
    about:mozilla.

  * mozilla/toolkit/xre/nsAppRunner.cpp:
    - KDE/Gnome startup notification not disappearing when app window is up.
      bz#416053. Closes: #562970.
    - KDE/Gnome startup notification not disappearing for the first time
      startup (needsRestart). bz#534845.
  * configure*, mozilla/configure*, mozilla/js/src/configure*: Revert change
    to force not to use -fshort-wchar.
  * configure*, mozilla/configure*, mozilla/js/src/configure*,
    mozilla/js/src/config/autoconf.mk.in, mozilla/xpcom/glue/nsStringAPI.h,
    mozilla/xpcom/string/public/nsLiteralString.h,
    mozilla/xpcom/xpcom-config.h.in: Use char16_t when available, and when it
    is, don't test for -fshort-wchar. bz#502298.
  * mozilla/embedding/components/find/src/nsFind.cpp,
    mozilla/layout/base/nsCSSRendering.cpp,
    mozilla/layout/generic/nsTextFrameThebes.cpp,
    mozilla/modules/libpr0n/decoders/jpeg/nsJPEGDecoder.cpp,
    mozilla/modules/plugin/base/public/npruntime.h,
    mozilla/netwerk/streamconv/converters/nsBinHexDecoder.cpp,
    mozilla/xpcom/tests/TestEncoding.cpp: Fix compiler errors with g++ 4.4
    with -std=gnu++0x of the form: error: narrowing conversion ... inside { }.
    bz#502301.
  * mozilla/xpcom/reflect/xptcall/src/md/unix/Makefile.in,
    mozilla/xpcom/reflect/xptcall/src/md/unix/xptcinvoke_linux_sh.cpp,
    mozilla/xpcom/reflect/xptcall/src/md/unix/xptcstubs_linux_sh.cpp: Add
    xptcall support for SH4 processors. Closes: #573400. bz#382214.

